<?php

/**
 * Built-in Easy Video Reviews Extension
 * WooCommerce Integration
 */

namespace EasyVideoReviews;

if (!class_exists('\EasyVideoReviews\WooCommerce')) {
    class WooCommerce extends \EasyVideoReviews\Extension
    {
        public function id()
        {
            return 'woocommerce';
        }
        public function name()
        {
            return __('WooCommerce', 'easy-video-reviews');
        }
        public function icon_url()
        {
            return EVR_PUBLIC . 'images/icons/woocommerce.png';
        }
        public function form()
        {
            echo wp_kses_post(evr_render('admin/integrations/built-in/woocommerce'));
            echo wp_kses_post(evr_render('admin/integrations/built-in/email-footer', [], false));
        } 
        public function options()
        {
            return [
                'single_tab' => true,
                'single_tab_hide_default' => true,
                'single_button' => true,
                'single_tab_showcase' => true,
                'single_tab_label' => 'Video Reviews',
                'single_limits' => 9,
                'single_order_by' => 'date',
                'single_order' => 'desc',
                'order_complete_button' => true,
                'order_complete_email' => true,
            ];
        }

        public function script()
        {
            return [
                'is_active' => class_exists('\WooCommerce'),
            ];
        }
    }

    WooCommerce::init();
}
 