<!-- responsive handler -->
<div class="mb-2 sm:hidden">
    <div @click.prevent="temp.nav = !temp.nav" class="inline-block border border-gray-100 shadow-sm sm:hidden px-2 py-1" :class="{ 'bg-sky-600 text-white' : temp.nav, 'bg-gray-50 text-gray-600' : !temp.nav }">
        <span class="dashicons dashicons-menu"></span>
    </div>
</div>

<!-- navigation  -->
<div class="bg-white mb-1 shadow-sm gap-y-2 flex flex-col sm:flex-row text-left flex-wrap sm:justify-start text-sm font-semibold tracking-wide" :class="{ 'hidden sm:flex' : !temp.nav }">

    <div class="px-3 flex item-center justify-center">
        <img src="<?php echo EVR_PUBLIC . '/images/evr.svg'; ?>" class="img-responsive w-8">
    </div>

    <a v-for='(label, menu) in <?php echo __(json_encode($items), 'easy-video-reviews'); ?>' :href="`#${menu}`" class="py-4 sm:py-3 transition hover:text-white hover:bg-sky-600 focus:border-0 focus:ring-0 px-4" :class="{
      'text-gray-50 bg-sky-600' : isScreen(menu),
      'text-gray-700' : !isScreen(menu), 
      }" @click="setScreen(menu)">{{label}}</a>


    <!-- support  -->
    <?php if (isset($args['support']) && $args['support'] === true) : ?>
        <a @click.prevent="toggleSupport" class="cursor-pointer py-3 transition hover:text-gray-50 hover:bg-sky-600 text-gray-700 focus:border-0 focus:ring-0 px-4" target="_blank"><?php echo __('Support', 'easy-video-reviews'); ?></a>
    <?php endif; ?>

    <!-- documentaion  -->
    <?php if (isset($args['documentation']) && $args['documentation'] === true) : ?>
        <a href="https://wppool.dev/docs-category/how-to-use-easy-video-reviews/" class="py-3 transition hover:text-gray-50 hover:bg-sky-600 text-gray-700 focus:border-0 focus:ring-0 px-4" target="_blank"><?php echo __('Documentation', 'easy-video-reviews'); ?></a>
    <?php endif; ?>
</div>

<!-- default menu  -->
<?php
$default_menu = isset($args['default']) && !empty($args['default']) ? $args['default'] : false;
if ($default_menu) :
?>
    <script>
        const _evr_screen = '<?php echo esc_html($default_menu); ?>'
    </script>
<?php
endif;

?>