<v-section v-if="isScreen('reviews') && getReviews">

    <div class="mb-6 flex items-center justify-between">
        <h2 class="font-semibold text-gray-700 tracking-wide text-sm sm:text-base">Review Gallery</h2>
        <div>
            <!-- tools -->
        </div>
        <div class="flex items-center justify-end gap-4 font-normal text-gray-400 hover:text-gray-700">
            <v-button v-if="selectedItems && selectedItems.length > 0" data-tooltip="Delete selected reviews" @click.prevent="deleteSelected" icon bordered><span title="Delete selected reviews" class="dashicons dashicons-trash"></span></v-button>
            <spinner size="md" @click.prevent="loadReviews(false)" class="cursor-pointer" data-tooltip="Reload Reviews" :spinning="temp.loadingReviews"></spinner>
            <v-button data-tooltip="Show Filters" @click.prevent="temp.showFilters = !temp.showFilters" icon bordered><span class="dashicons dashicons-filter"></span></v-button>            
        </div>
    </div>

    <!-- header  -->
    <row v-if="temp.showFilters && review && options" small class="flex items-center gap-2 w-full">
        <v-select before="Sort by" placeholder="Sort by" :options="options.orderBy" v-model="review.orderBy"></v-select>
        <v-select placeholder="Order" :options="options.sorts" v-model="review.order"></v-select>
        <v-select placeholder="Reviews per page" :options="options.limits" after="reviews" v-model="review.items_per_page"></v-select>
        <!-- <v-select placeholder="Filter privacy" :options="options.privacy_list" v-model="review.privacy"></v-select> -->
        <input type="text" v-model="review.search" class="form-input w-full" placeholder="Looking for..." />
    </row>

    <div class="evr-divider"></div>

    <!-- video gallery  -->
    <div v-if="getReviews && getReviews.length">

        <div class="w-full grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 gap-3 sm:gap-4 md:gap-5 lg:gap-6  rounded-sm">
            <review v-for="review in getReviews" :item="review" :index="index"></review>
        </div>

        <div class="text-center py-6" v-if="!review.button">
            <v-button size="xs" @click.prevent="loadReviews(true)">
                {{temp.loadingReviews ? '<?php echo esc_html__('Loading...', 'easy-video-reviews'); ?>' : '<?php echo esc_html__('Load more', 'easy-video-reviews'); ?>'}}
            </v-button>
        </div>

    </div>


    <!-- fallback gallery -->
    <div v-else class="my-2">
        <div v-if="review.items && review.items.length > 0" class="px-3 py-4 text-sm text-gray-600 text-center bg-yellow-50 rounded-md ">
            {{review.items.length > 0 ? '<?php echo esc_html__('No result found', 'easy-video-reviews'); ?>' : '<?php echo esc_html__('No Reviews Recorded Yet', 'easy-video-reviews'); ?>'}}
        </div>
        <block v-else class="text-center">
            <v-title class="justify-center" small>
                {{review.items.length > 0 ? '<?php echo esc_html__('No reviews recorded yet.', 'easy-video-reviews'); ?>' : '<?php echo esc_html__('No Reviews Recorded Yet', 'easy-video-reviews'); ?>'}}
            </v-title>
            <div>
                <v-button @click.prevent="getStarted()"><?php echo esc_html__('Get Started', 'easy-video-reviews'); ?></v-button>
            </div>
        </block>
    </div>
</v-section>