<!-- single video settings  -->
<v-section v-if="isScreen('embed') && preference" @click="falseDoor">

  <v-title>Embedding Settings <pro></pro>
  </v-title>

  <row small>
    <col-label><?php echo esc_html__('Page title', 'easy-video-reviews'); ?></col-label>
    <block>
      <input :disabled="!isPro" type="text" text="" class="form-input" placeholder="Page Title" v-model="preference.optimization.showcase.title">
    </block>
  </row>

  <row small :class="pro_class">
    <col-label><?php echo esc_html__('Page description', 'easy-video-reviews'); ?></col-label>
    <block>
      <input :disabled="!isPro" type="text" text="" class="form-input" placeholder="Page Description" v-model="preference.optimization.showcase.description">
    </block>
  </row>

  <row small  :class="pro_class">
    <col-label><?php echo esc_html__('Page slug', 'easy-video-reviews'); ?></col-label>
    <row center no_margin>
      <span class="text-gray-700"><?php echo esc_url(home_url('/')); ?></span>
      <input :disabled="!isPro" type="text" text="" class="mx-2 form-input input-slug" placeholder="video" v-model="preference.optimization.showcase.slug">
      <span class="text-gray-700">/?id=abcd1234</span>
    </row>
  </row>

  <row :class="pro_class">
    <col-label>Preferences</col-label>
    <div class="w-full flex flex-col gap-3">
      <v-switch :class="pro_class" :disabled="!isPro" v-model="preference.optimization.showcase.share"><?php echo esc_html__('Show Social Share Buttons', 'easy-video-reviews'); ?></v-switch>
      <v-switch :class="pro_class" :disabled="!isPro" v-model="preference.optimization.social.facebook.show"><?php echo esc_html__('Enable Facebook Opengraph', 'easy-video-reviews'); ?></v-switch>
      <v-switch :class="pro_class" :disabled="!isPro" v-model="preference.optimization.social.twitter.show"><?php echo esc_html__('Enable Twitter Card', 'easy-video-reviews'); ?></v-switch>
    </div>
  </row>

  <row  :class="pro_class" small v-if="preference.optimization.social.facebook.show">
    <col-label><?php echo esc_html__('Facebook ID', 'easy-video-reviews'); ?></col-label>
    <block>
      <input :disabled="!isPro" type="text" class="form-input" placeholder="Facebook ID" v-model="preference.optimization.social.facebook.id">
    </block>
  </row>

  <row :class="pro_class" small v-if="preference.optimization.social.twitter.show">
    <col-label><?php echo esc_html__('Twitter Username', 'easy-video-reviews'); ?></col-label>
    <block>
      <input :disabled="!isPro" type="text" class="form-input" placeholder="Twitter Username" v-model="preference.optimization.social.twitter.username">
    </block>
  </row>


  <!-- submit button  -->
  <div class="text-right mt-3">
    <v-button :disabled="!isPro" @click.prevent="savePreferences" :loading="temp.savingPreference" message="Saving..">
      <?php echo esc_html__('Save settings', 'easy-video-reviews'); ?></v-button>
  </div>

</v-section>