<!-- button settings  -->

<v-section v-if="isScreen('global') && preference" @click="falseDoor">

  <v-title><?php echo esc_html__('Global Button Settings', 'easy-video-reviews'); ?>
    <pro />
  </v-title>

  <row :class="pro_class">
    <col-label><?php echo esc_html__('Button', 'easy-video-reviews'); ?></col-label>

    <div class="w-full">
      <div class="w-full bg-sky-50 h-32 p-3 flex items-center" :class="{
        'justify-center' : preference.button.alignment == 'center', 
        'justify-end' : preference.button.alignment == 'right'
      }">
        <editable :disabled="!isPro" :class="pro_class" class="cursor-pointer transition duration-100 py-2 px-4 rounded-sm hover:opacity-90" placeholder="Button text" :style="`
          color: ${preference.button.color}; 
          background: ${preference.button.bg};
          font-size: ${preference.button.size}px;
        `" v-model="preference.button.text">{{preference.button.text}}</editable>
      </div>

      <div class="mt-2 text-xs text-gray-600">Click on the button to change button text</div>
    </div>


  </row>



  <!-- button color  -->
  <row :class="pro_class">
    <col-label><?php echo esc_html__('Style', 'easy-video-reviews'); ?></col-label>

    <div class="w-full flex items-center gap-3" :class="pro_class">
      <block class="w-32">
        <col-label>Text Color</col-label>
        <input :disabled="!isPro" type="color" class="form-input m-0 p-0 h-10" size="3" v-model="preference.button.color" />
      </block>

      <block>
        <col-label>Background Color</col-label>
        <input :disabled="!isPro" type="color" class="form-input m-0 p-0 h-10" size="3" v-model="preference.button.bg" />
        </blo>

    </div>
  </row>

  <!-- button size  -->
  <row :class="pro_class">
    <col-label><?php echo esc_html__('Font size', 'easy-video-reviews'); ?></col-label>

    <div class="w-full">
      <v-select :disabled="!isPro" v-model="preference.button.size" :options="buttonSize"></v-select>
    </div>
  </row>

  <!-- alignment  -->
  <row :class="pro_class">
    <col-label><?php echo esc_html__('Alignment', 'easy-video-reviews'); ?></col-label>

    <div class="w-full" :class="{'pointer-events-none' : !isPro}">
      <div class="flex items-center divide-x">
        <span v-for="align in ['left', 'center', 'right']" href="javascript:;" class="cursor-pointer text-xl flex items-center justify-center h-10 w-11 transform  hover:bg-sky-600 bg-gray-100 hover:text-white rounded-sm overflow-hidden" :class="{'bg-sky-600 text-white' : preference.button.alignment == align, 'text-gray-600' : !preference.button.alignment == align}" @click.prevent="preference.button.alignment = align"><span class="dashicons" :class="`dashicons-align-${align}`"></span></span>
      </div>
    </div>
  </row>

  <!-- recording page  -->
  <row :class="pro_class">
    <col-label>
      <?php echo esc_html__('Recording page', 'easy-video-reviews'); ?>
    </col-label>

    <div class="w-full flex-col items-center gap-2">
      <div class="w-52 max-w-full">
        <v-select v-model="preference.recorder_page" laceholder="Select page" search="Search page" :options="pages" fallback="Untitled page"></v-select>
      </div>
      <div class="my-2 text-sm">User will be redirected <a target="_blank" :href="`<?php echo home_url() . DIRECTORY_SEPARATOR; ?>${pages.find(page => page.value == preference.recorder_page ) ? pages.find(page => page.value == preference.recorder_page ).slug : ''}`" class="font-semibold"><?php echo home_url() . DIRECTORY_SEPARATOR; ?>{{pages.find(page => page.value == preference.recorder_page ) ? pages.find(page => page.value == preference.recorder_page ).slug : ''}}</a> from email. Make sure a Recorder Button has been inserted into this page.</div>
    </div>

  </row>


  <div class="text-right">
    <v-button @click.prevent="savePreferences" :loading="temp.savingPreference" message="Saving.."><?php echo esc_html__('Save settings', 'easy-video-reviews'); ?></v-button>
  </div>

</v-section>