<!-- recorder modal -->
<div data-evr-modal style="display: none;">
  <div class="evr-modal">
    <div class="evr-overlay"></div>
    <div class="evr-modal-body">

      <!-- top icon  -->
      <div class="top_icon">
        <img src="<?php echo esc_url(EVR_PUBLIC); ?>images/evr.svg" alt="Easy Video Reviews">
      </div>

      <!-- close button  -->
      <div onclick="typeof(_evr) != 'undefined' && _evr ? _evr.hide() : false" class="evr-close">
        <svg xmlns="http://www.w3.org/2000/svg" class="fill-current w-4" viewBox="0 0 16 16">
          <path fill-rule="evenodd" d="M13.854 2.146a.5.5 0 0 1 0 .708l-11 11a.5.5 0 0 1-.708-.708l11-11a.5.5 0 0 1 .708 0Z" />
          <path fill-rule="evenodd" d="M2.146 2.146a.5.5 0 0 0 0 .708l11 11a.5.5 0 0 0 .708-.708l-11-11a.5.5 0 0 0-.708 0Z" />
        </svg>
      </div>

      <!-- error message  -->
      <div v-if="error" class="evr-error">
        <div class="evr-error-message" v-html="error">
        </div>
        <div class="evr-error-footer"><?php echo __('Powered by <a href="https://go.wppool.dev/jfA" target="_blank">Easy Video Reviews</a>', 'easy-video-reviews'); ?>
        </div>
      </div>

      <!-- review recorder  -->
      <div v-else class="evr-recorder-wrapper">

        <!-- recorder  -->
        <section class="evr-recorder">
          <h4 v-show="state == 'mirror'" class="evr-title" v-text="
          !foundCamera ?   preference.upload ? trans('Upload review') : 'Easy Video Reviews' : trans('Record review')">

          </h4>
          <!--Body-->
          <div v-if="state != 'uploader'" class="evr-recorder-box">

            <div class="evr-recorder-mirror" :class="['recorder', 'recording', 'recorded'].includes(state) ? 'evr-rounded' : ''">

              <!-- videos  -->
              <div class="evr-recorder-video">
                <video :class="src == 'record' && options.flip ? 'flip-camera' : ''" v-show="['recorded', 'send'].includes(state)" data-evr-preview src="#"></video>
                <video :class="options.flip ? 'flip-camera' : ''" v-if="!isMobile && foundCamera" v-show="!['recorded', 'send'].includes(state)" data-evr-mirror muted src="#" autoplay></video>

                <div v-show="['recorded'].includes(state)" class="evr-preview-controls" @click.prevent="playPausePreview($event)">
                  <div class="evr-buttons">
                    <button v-if="previewPlaying" class="evr-button">
                      <svg xmlns="http://www.w3.org/2000/svg" class="fill-current w-5" viewBox="0 0 16 16">
                        <path d="M5.5 3.5A1.5 1.5 0 0 1 7 5v6a1.5 1.5 0 0 1-3 0V5a1.5 1.5 0 0 1 1.5-1.5zm5 0A1.5 1.5 0 0 1 12 5v6a1.5 1.5 0 0 1-3 0V5a1.5 1.5 0 0 1 1.5-1.5z" />
                      </svg>
                    </button>
                    <button v-else class="evr-button">
                      <svg xmlns="http://www.w3.org/2000/svg" class="fill-current w-5" viewBox="0 0 16 16">
                        <path d="m11.596 8.697-6.363 3.692c-.54.313-1.233-.066-1.233-.697V4.308c0-.63.692-1.01 1.233-.696l6.363 3.692a.802.802 0 0 1 0 1.393z" />
                      </svg>
                    </button>
                  </div>
                </div>
                <div @dblclick.prevent="fullscreen('.evr-recorder-video')" v-show="['mirror'].includes(state)" class="evr-preview-controls evr-preview-controls-bottom">
                  <div class="evr-buttons">
                    <button class="evr-button" :class="{'evr-button-outline': !options.flip }" @click.prevent="flipCamera($event)">
                      <svg xmlns="http://www.w3.org/2000/svg" class="fill-current w-4" viewBox="0 0 16 16">
                        <path d="M7 2.5a.5.5 0 0 0-.939-.24l-6 11A.5.5 0 0 0 .5 14h6a.5.5 0 0 0 .5-.5v-11zm2.376-.484a.5.5 0 0 1 .563.245l6 11A.5.5 0 0 1 15.5 14h-6a.5.5 0 0 1-.5-.5v-11a.5.5 0 0 1 .376-.484zM10 4.46V13h4.658L10 4.46z" />
                      </svg>
                    </button>
                  </div>
                </div>

              </div>
              <!-- counter  -->
              <div v-if="startingCount && foundCamera" class="evr-counter">
                {{startingCount}}
              </div>

              <!-- icon  -->
              <div v-if="foundCamera" class="evr-recording-icon">
                <i v-show="state == 'recording'"></i>
                <div v-if="finishingCount">{{time(finishingCount)}}</div>
              </div>

              <div v-if="foundCamera" class="evr-recording-start-area">
                <div class="flex object-center items-center">
                  <button v-show="state=='recorder'" @click.prevent="initRecording($event)" class="evr-recording-start">
                    <?php echo __('{{trans("Start")}}', 'easy-video-reviews'); ?>
                  </button>
                  <button @click.prevent="state = 'mirror'; finishingCount = false" v-show="state=='recorder'" class="evr-button evr-button-outline">
                    <svg xmlns="http://www.w3.org/2000/svg" class="fill-current w-5" viewBox="0 0 16 16">
                      <path fill-rule="evenodd" d="M13.854 2.146a.5.5 0 0 1 0 .708l-11 11a.5.5 0 0 1-.708-.708l11-11a.5.5 0 0 1 .708 0Z" />
                      <path fill-rule="evenodd" d="M2.146 2.146a.5.5 0 0 0 0 .708l11 11a.5.5 0 0 0 .708-.708l-11-11a.5.5 0 0 0-.708 0Z" />
                    </svg>
                  </button>

                  <button v-show="state=='recording'" @click="stopRecording($event)" class="evr-recording-stop">
                    <div></div>
                  </button>


                </div>
              </div>
            </div>

            <div v-else v-if="state == 'mirror' && !foundCamera" class="evr-error">
              <div class="evr-error-message" v-if="isSSL">{{trans(`You have no camera installed on your device or the device is currently being used by other application`)}}</div>
              <div class="evr-error-message" v-else>{{trans(`Please try visiting this page with a valid SSL certificate`)}}</div>
            </div>

            <div v-if="foundCamera" class="evr-options" v-show="state=='mirror'">
              <div class="evr-message">
                {{trans(`You can record up to %s minutes, don't worry you will review your video before sending`, time(preference.max_seconds))}}
              </div>
              <div class="evr-chooseoption" v-if="preference.show_options && !options.shown">
                <button class="evr-button" @click.prevent="options.shown = true" :class="chooseDevices ? ['bg-blue-500', 'text-white'] : ['bg-gray-100', 'text-gray-500']">{{options.shown
                    ? trans('Hide options') : trans('Show options')}}
                  <svg xmlns="http://www.w3.org/2000/svg" class="fill-current w-4" viewBox="0 0 16 16">
                    <path fill-rule="evenodd" d="M11.5 2a1.5 1.5 0 1 0 0 3 1.5 1.5 0 0 0 0-3zM9.05 3a2.5 2.5 0 0 1 4.9 0H16v1h-2.05a2.5 2.5 0 0 1-4.9 0H0V3h9.05zM4.5 7a1.5 1.5 0 1 0 0 3 1.5 1.5 0 0 0 0-3zM2.05 8a2.5 2.5 0 0 1 4.9 0H16v1H6.95a2.5 2.5 0 0 1-4.9 0H0V8h2.05zm9.45 4a1.5 1.5 0 1 0 0 3 1.5 1.5 0 0 0 0-3zm-2.45 1a2.5 2.5 0 0 1 4.9 0H16v1h-2.05a2.5 2.5 0 0 1-4.9 0H0v-1h9.05z" />
                  </svg></button>
              </div>

              <div v-if="preference.show_options && options.shown">

                <div class="evr-delay">
                  <button class="evr-button" for="wpvt_delay" @click.prevent="options.delay = Number(options.delay) ? false : preference.delay" class="mb-1 font-semibold text-gray-800">{{options.delay ? trans('Delay') : trans('No delay')}}</button>
                  <div>
                    <input id="wpvt_delay" type="text" v-show="options.delay" v-model="options.delay" class="evr-delay-input" v-model="preference.delay">
                    <span v-show="options.delay">{{trans('Seconds')}}</span>
                  </div>
                </div>

                <div class="evr-option-select">
                  <label for="">{{trans('Choose camera')}}</label>
                  <div class="relative mt-1">
                    <select @change="initMirror($event)" v-model="options.camera" class="">
                      <option value="">{{trans('Default camera')}}</option>
                      <option v-for="cam in devices.cameras" :value="cam.id">{{cam.name}}</option>
                    </select>
                  </div>
                </div>

                <div class="evr-option-select">
                  <label for="evr-mics">{{trans('Choose microphone')}}</label>
                  <div class="relative mt-1">
                    <select @change="initMirror($event)" id="evr-mics">
                      <option value="">{{trans('Default microphone')}}</option>
                      <option v-for="mic in devices.mics" :value="mic.id">{{mic.name}}</option>
                    </select>
                  </div>
                </div>

                <div class="text-center">
                  <button class="evr-button" @click.prevent="options.shown = !options.shown" :class="chooseDevices ? ['bg-blue-500', 'text-white'] : ['bg-gray-100', 'text-gray-500']">{{trans('Save options')}}</button>
                </div>

              </div>

            </div>


          </div>

          <div v-show="state=='mirror'" class="evr-mirror-box" :class="{'evr-divice-found' : foundCamera}">
            <button v-if="foundCamera" @click.prevent="initRecorder($event)" class="evr-button">
              {{trans('Looks good, continue')}}
            </button>
            <button v-if="preference.upload" @click="state = 'uploader'" class="evr-button evr-button-outline">

              <svg xmlns="http://www.w3.org/2000/svg" class="fill-current w-5" viewBox="0 0 16 16">
                <path fill-rule="evenodd" d="M7.646 5.146a.5.5 0 0 1 .708 0l2 2a.5.5 0 0 1-.708.708L8.5 6.707V10.5a.5.5 0 0 1-1 0V6.707L6.354 7.854a.5.5 0 1 1-.708-.708l2-2z" />
                <path d="M4.406 3.342A5.53 5.53 0 0 1 8 2c2.69 0 4.923 2 5.166 4.579C14.758 6.804 16 8.137 16 9.773 16 11.569 14.502 13 12.687 13H3.781C1.708 13 0 11.366 0 9.318c0-1.763 1.266-3.223 2.942-3.593.143-.863.698-1.723 1.464-2.383zm.653.757c-.757.653-1.153 1.44-1.153 2.056v.448l-.445.049C2.064 6.805 1 7.952 1 9.318 1 10.785 2.23 12 3.781 12h8.906C13.98 12 15 10.988 15 9.773c0-1.216-1.02-2.228-2.313-2.228h-.5v-.5C12.188 4.825 10.328 3 8 3a4.53 4.53 0 0 0-2.941 1.1z" />
              </svg>
              {{trans('Upload video')}}
            </button>
          </div>
        </section>


        <section v-if="state=='mobile'">
          <div class="evr-message">
            {{trans(`You can record up to %s minutes, don't worry you will review your video before sending`, time(preference.max_seconds))}}
          </div>

          <input id="evr_uploader" @input="fileSelected($event)" type="file" accept="video/*" capture="capture" class="cursor-pointer absolute block opacity-0 pin-r pin-t">
          <input v-if="preference.upload" id="evr_uploader2" @input="fileSelected($event)" type="file" accept="video/*" class="cursor-pointer absolute block opacity-0 pin-r pin-t">

          <div class="flex items-center gap-2 w-full justify-center my-4">
            <label for="evr_uploader" class="cursor-pointer px-4 py-3 rounded-sm bg-blue-400 text-white hover:bg-blue-500 transition duration-100 flex items-center justify-center gap-2">
              <svg xmlns="http://www.w3.org/2000/svg" class="fill-current w-5" viewBox="0 0 16 16">
                <path d="M10.5 8.5a2.5 2.5 0 1 1-5 0 2.5 2.5 0 0 1 5 0z" />
                <path d="M2 4a2 2 0 0 0-2 2v6a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V6a2 2 0 0 0-2-2h-1.172a2 2 0 0 1-1.414-.586l-.828-.828A2 2 0 0 0 9.172 2H6.828a2 2 0 0 0-1.414.586l-.828.828A2 2 0 0 1 3.172 4H2zm.5 2a.5.5 0 1 1 0-1 .5.5 0 0 1 0 1zm9 2.5a3.5 3.5 0 1 1-7 0 3.5 3.5 0 0 1 7 0z" />
              </svg>
              {{trans('Record')}}</label>
            <label v-if="preference.upload" for="evr_uploader2" class="cursor-pointer px-4 py-3 rounded-sm  bg-blue-400 text-white hover:bg-blue-500 transition duration-100  flex items-center justify-center gap-2">
              <svg xmlns="http://www.w3.org/2000/svg" class="fill-current w-5" viewBox="0 0 16 16">
                <path d="M8 2a5.53 5.53 0 0 0-3.594 1.342c-.766.66-1.321 1.52-1.464 2.383C1.266 6.095 0 7.555 0 9.318 0 11.366 1.708 13 3.781 13h8.906C14.502 13 16 11.57 16 9.773c0-1.636-1.242-2.969-2.834-3.194C12.923 3.999 10.69 2 8 2zm2.354 5.146a.5.5 0 0 1-.708.708L8.5 6.707V10.5a.5.5 0 0 1-1 0V6.707L6.354 7.854a.5.5 0 1 1-.708-.708l2-2a.5.5 0 0 1 .708 0l2 2z" />
              </svg>
              {{trans('Upload')}}</label>
          </div>
        </section>

        <!-- send to server  -->
        <section v-if="state == 'send'">
          <div v-if="send.sending" class="evr-send">
            <div class="evr-send-sending"></div>
            {{trans('Uploading video...')}}
          </div>
          <div v-else>
            <div v-if="send.message" class="evr-send-message" :class="{'evr-sent' : send.success}">{{send.message}}</div>
            <div class="evr-send-recorder-button"><button @click.prevent="isMobile ? state == 'mobile' : initMirror();" class="evr-button evr-button-outline">
                <svg xmlns="http://www.w3.org/2000/svg" class="fill-current w-5" viewBox="0 0 16 16">
                  <path fill-rule="evenodd" d="M0 5a2 2 0 0 1 2-2h7.5a2 2 0 0 1 1.983 1.738l3.11-1.382A1 1 0 0 1 16 4.269v7.462a1 1 0 0 1-1.406.913l-3.111-1.382A2 2 0 0 1 9.5 13H2a2 2 0 0 1-2-2V5zm11.5 5.175 3.5 1.556V4.269l-3.5 1.556v4.35zM2 4a1 1 0 0 0-1 1v6a1 1 0 0 0 1 1h7.5a1 1 0 0 0 1-1V5a1 1 0 0 0-1-1H2z"></path>
                </svg>
                {{trans('Record new video')}}
              </button></div>
          </div>
        </section>

        <!-- recorder -->

        <section v-show="state == 'recorded'">
          <form id="evr_send" @submit.prevent="sendVideo">
            <template v-if="preference.form && forms && forms.length > 0" v-for="form in forms">

              <div class="evr-input-group" v-if="['text', 'email', 'number', 'date', 'time', 'date', 'time', 'range'].includes(form.type)">
                <label :for="form.id" class="input-label">{{form.label}}</label>
                <input :id="form.id" v-model="options.form[form.id]" :type="form.type" class="input-text" :placeholder="form.placeholder" :required="form.required">
              </div>

              <div class="evr-input-group" v-if="form.type == 'textarea'">
                <label :for="form.id" class="input-label">{{form.label}}</label>
                <textarea :id="form.id" :required="form.required" v-model="options.form[form.id]" class="input-text" :placeholder="form.placeholder"></textarea>
              </div>

              <div class="evr-input-group" v-if="form.type == 'radio'">
                <label :for="form.id" class="input-label">{{form.label}}</label>
                <div :class="form.display == 'inline' ? 'flex-col' : 'flex'">
                  <label v-for="(opt, k) in form.options" :for="`option_${k}`" class="evr-radio-label">
                    <input v-model="options.form[form.id]" type="radio" :name="form.id" class="evr-input-radio" :id="`option_${k}`" :required="form.required"> {{opt.label}}</label>
                </div>
              </div>

              <div class="evr-input-group" v-if="form.type == 'select'">
                <label :for="form.id" class="input-label">{{form.label}}</label>
                <select v-model="options.form[form.id]" :id="form.id" class="evr-input-select" :required="form.required">
                  <option v-for="opt in form.options" :value="opt.value">{{opt.label}}</option>
                </select>
              </div>

              <div class="evr-input-group evr-input-group-inline" v-if="form.type == 'checkbox'">
                <input v-model="options.form[form.id]" type="checkbox" :required="form.required" :id="form.id" class="evr-input-checkbox">
                <label :for="form.id" class="text-gray-500">{{form.label}}</label>
              </div>

              <div class="evr-input-group evr-input-group-inline" v-if="form.type == 'message'" v-html="options.form[form.id]">
              </div>

              <div class="evr-input-group" v-if="form.type == 'rating'">
                <label :for="form.id" class="input-label">{{form.label}}</label>
                <div class="evr-input-rating">
                  <i class="" v-for="(max, i) in Number(form.max)" :class="i+1 <= options.form[form.id] || i+1 <= form.rating? 'evr-rating-active' : ''" @mouseover="form.rating = i + 1" @mouseleave="form.rating = 0" @click.prevent="options.form[form.id] = i+1">
                    <svg xmlns="http://www.w3.org/2000/svg" class="fill-current h-5" viewBox="0 0 16 16">
                      <path d="M3.612 15.443c-.386.198-.824-.149-.746-.592l.83-4.73L.173 6.765c-.329-.314-.158-.888.283-.95l4.898-.696L7.538.792c.197-.39.73-.39.927 0l2.184 4.327 4.898.696c.441.062.612.636.282.95l-3.522 3.356.83 4.73c.078.443-.36.79-.746.592L8 13.187l-4.389 2.256z"/>
                  </svg>
                  </i>
                </div>
              </div>

            </template>


            <div v-if="preference.publish_policy" class="evr-publish-policy">
              <input required value="1" type="checkbox" id="publish_policy" class="evr-input-checkbox">
              <label for="publish_policy" class="evr-radio-label">{{trans("I'm allowing to publish this video")}}</label>
            </div>

            <div class="evr-recorder-buttons">

              <button type="submit" class="evr-button">
                <svg xmlns="http://www.w3.org/2000/svg" class="fill-current w-5" viewBox="0 0 16 16">
                  <path fill-rule="evenodd" d="M10 12.5a.5.5 0 0 1-.5.5h-8a.5.5 0 0 1-.5-.5v-9a.5.5 0 0 1 .5-.5h8a.5.5 0 0 1 .5.5v2a.5.5 0 0 0 1 0v-2A1.5 1.5 0 0 0 9.5 2h-8A1.5 1.5 0 0 0 0 3.5v9A1.5 1.5 0 0 0 1.5 14h8a1.5 1.5 0 0 0 1.5-1.5v-2a.5.5 0 0 0-1 0v2z" />
                  <path fill-rule="evenodd" d="M15.854 8.354a.5.5 0 0 0 0-.708l-3-3a.5.5 0 0 0-.708.708L14.293 7.5H5.5a.5.5 0 0 0 0 1h8.793l-2.147 2.146a.5.5 0 0 0 .708.708l3-3z" />
                </svg> {{trans('Submit')}}
              </button>
              <button v-if="foundCamera" @click.prevent="isMobile ? state = 'mobile' : initRecorder()" class="evr-button evr-button-outline">
                <svg xmlns="http://www.w3.org/2000/svg" class="fill-current w-5" viewBox="0 0 16 16">
                  <path fill-rule="evenodd" d="M0 5a2 2 0 0 1 2-2h7.5a2 2 0 0 1 1.983 1.738l3.11-1.382A1 1 0 0 1 16 4.269v7.462a1 1 0 0 1-1.406.913l-3.111-1.382A2 2 0 0 1 9.5 13H2a2 2 0 0 1-2-2V5zm11.5 5.175 3.5 1.556V4.269l-3.5 1.556v4.35zM2 4a1 1 0 0 0-1 1v6a1 1 0 0 0 1 1h7.5a1 1 0 0 0 1-1V5a1 1 0 0 0-1-1H2z" />
                </svg>
                {{trans('Record')}}
              </button>
              <button @click.prevent="isMobile ? state = 'mobile' : initRecorder()" class="evr-button evr-button-outline">
                <svg xmlns="http://www.w3.org/2000/svg" class="fill-current w-5" viewBox="0 0 16 16">
                  <path fill-rule="evenodd" d="M8 3a5 5 0 1 0 4.546 2.914.5.5 0 0 1 .908-.417A6 6 0 1 1 8 2v1z" />
                  <path d="M8 4.466V.534a.25.25 0 0 1 .41-.192l2.36 1.966c.12.1.12.284 0 .384L8.41 4.658A.25.25 0 0 1 8 4.466z" />
                </svg>
                {{trans('Start over')}}
              </button>
            </div>
          </form>
        </section>

        <!--uploader drag and drop section-->
        <section v-if="preference.upload && state=='uploader'" class="rounded-md evr_uploader p-3 bg-white z-50">
          <h2 class="evr-title">{{trans('Upload video')}}</h2>
          <div id="evr_dropzone" class="evr-dropzone">
            <div>
              <input id="evr_uploader" @input="fileSelected($event)" accept="video/" type="file" class="evr-uploader-file" title="Select file" />

              <div class="evr-dropzone-area ">
                <svg xmlns="http://www.w3.org/2000/svg" class="fill-current w-8" viewBox="0 0 16 16">
                  <path fill-rule="evenodd" d="M7.646 5.146a.5.5 0 0 1 .708 0l2 2a.5.5 0 0 1-.708.708L8.5 6.707V10.5a.5.5 0 0 1-1 0V6.707L6.354 7.854a.5.5 0 1 1-.708-.708l2-2z" />
                  <path d="M4.406 3.342A5.53 5.53 0 0 1 8 2c2.69 0 4.923 2 5.166 4.579C14.758 6.804 16 8.137 16 9.773 16 11.569 14.502 13 12.687 13H3.781C1.708 13 0 11.366 0 9.318c0-1.763 1.266-3.223 2.942-3.593.143-.863.698-1.723 1.464-2.383zm.653.757c-.757.653-1.153 1.44-1.153 2.056v.448l-.445.049C2.064 6.805 1 7.952 1 9.318 1 10.785 2.23 12 3.781 12h8.906C13.98 12 15 10.988 15 9.773c0-1.216-1.02-2.228-2.313-2.228h-.5v-.5C12.188 4.825 10.328 3 8 3a4.53 4.53 0 0 0-2.941 1.1z" />
                </svg>
                <div class="m-0">
                  {{trans('Drag your files here or click in this area')}}
                </div>
              </div>
            </div>

          </div>

          <div v-if="uploader.file" class="evr-uploader-file-info"><span>{{uploader.file}}</span> <span class="mx-4">{{uploader.size}}</span> <a class="cursor-pointer py-1 px-3 bg-red-400 rounded-md text-white hover:bg-red-500 transition" @click="removeFileUpload($event)">x</a></div>
          <div v-if="uploader.error" class="evr-error">
            <div class="evr-error-message" v-html="uploader.error"></div>
          </div>

          <div class=" evr-button-area" v-show="isMobile ? state = 'mobile' : state == 'uploader'">
            <button v-if="uploader.file && !uploader.error" @click.prevent="lateUploader($event)" href="javascript:;" class="evr-button">
              {{trans('Continue')}}</button>

            <button v-if="foundCamera" @click.prevent="isMobile ? state = 'mobile' : initRecorder()" href="javascript:;" class="evr-button evr-button-outline">
              <svg xmlns="http://www.w3.org/2000/svg" class="fill-current w-5" viewBox="0 0 16 16">
                <path fill-rule="evenodd" d="M0 5a2 2 0 0 1 2-2h7.5a2 2 0 0 1 1.983 1.738l3.11-1.382A1 1 0 0 1 16 4.269v7.462a1 1 0 0 1-1.406.913l-3.111-1.382A2 2 0 0 1 9.5 13H2a2 2 0 0 1-2-2V5zm11.5 5.175 3.5 1.556V4.269l-3.5 1.556v4.35zM2 4a1 1 0 0 0-1 1v6a1 1 0 0 0 1 1h7.5a1 1 0 0 0 1-1V5a1 1 0 0 0-1-1H2z" />
              </svg> {{trans('Record video')}}</button>
          </div>
        </section>


      </div>
    </div>
  </div>
</div>
<!--  recorder modal -->